/* sys/wav.h */

extern int sndwrite(char *data, int len);


/**************************************************************************
* Sound Driver v1.0 Data Controls, /dev/sound                             *
**************************************************************************/

/* maintainence */
#define WV_PING		0x00 /* update sound driver */
#define WV_DEFAULT	0x0F /* reset tune's settings to default */

/* soundcard speed control */
#define WV_SPEED	0x10 /* new speed. 1 byte argument in KHz */
#define WV_2205		0x11 /*  2205 Hz */
#define WV_4410		0x12 /*  4410 Hz */
#define WV_8820		0x13 /*  8820 Hz */
#define WV_11025	0x14 /* 11025 Hz */
#define WV_13230	0x15 /* 13230 Hz */
#define WV_15435	0x16 /* 15435 Hz */
#define WV_17640	0x17 /* 17640 Hz */
#define WV_22050	0x18 /* 22050 Hz */
#define WV_26460	0x19 /* 26460 Hz */
#define WV_30870	0x1A /* 30870 Hz */
#define WV_35280	0x1B /* 35280 Hz */
#define WV_39690	0x1C /* 39690 Hz */
#define WV_44100	0x1D /* 44100 Hz */
#define WV_48510	0x1E /* 48510 Hz */
#define WV_NORMAL	0x1F /* set speed from tune's default */

/* tune reading controls */
#define WV_SELECT	0x20 /* select new tune. 2 byte argument */
#define WV_PREV		0x21 /* select previous tune in list. */
#define WV_NEXT		0x22 /* select next tune in list. */
#define WV_OFF		0x23 /* selects tune #0 (blank). */
#define WV_REPEATOFF	0x24 /* turn repeat mode off. */
#define WV_REPEATON	0x25 /* turn repeat mode on. */
#define WV_REPEATFULL	0x26 /* set repeat to beginning of tune. */
#define WV_REPEATMIDDLE	0x27 /* set repeats at the repeat point to beginning */
#define WV_REPEATNUM	0x28 /* repeat only a number of times. 1 argument */
#define WV_REPEATINF	0x29 /* repeat infinitely (Default) */
#define WV_MIDWAY	0x2A /* restarts tune from repeat point. */
#define WV_RESTART	0x2B /* force start entire tune over. */
#define WV_SCALE	0x2F /* gradually increases or decreases the speed
			        of the tune, when it repeats, to new speed
			        value in 1 byte argument; spd(hex)= 11 to 1E */

/* songs within songs */
#define WV_ALLOC	0x30 /* play a subsong. 2 byte new tune */
#define WV_FREE		0x38 /* exit subsong and return to old. */

/* music break controls */
#define WV_PAUSE	0x40 /* pause/unpause tune. */
#define WV_WAIT		0x48 /* sleep code. 1 byte duration; # seconds */

/* audio output wait controls; these suppress further data commands */
#define WV_RESET	0xF0 /* skip all music in output buffer */
#define WV_SYNC		0xF8 /* wait until all current output drains. */
#define WV_FINISH	0xFF /* suppress until whole song has been played. */
